<?php
session_start();

$servername = "109.106.254.1";
$username = "u353443769_beis";
$password = 'Te$t@dm1n';
$database = "u353443769_beis";

// Pārbauda, vai autorid ir iestatīts sesijā
if (!isset($_SESSION['autorid'])) {
    echo json_encode(array("success" => false, "message" => "Lietotājs nav pierakstījies."));
    exit;
}

// Iegūst ieraksta id no pieprasījuma
$postId = $_GET['id'];

// Savienojas ar datubāzi
$conn = new mysqli($servername, $username, $password, $database);

// Pārbauda savienojumu
if ($conn->connect_error) {
    die("Savienojums neizdevās: " . $conn->connect_error);
}

// Vaicājums, lai pārbaudītu, vai sesijas autorid atbilst ieraksta autorid
$stmt = $conn->prepare("SELECT autorid FROM pav_gra_postsi WHERE id = ?");
$stmt->bind_param("i", $postId);
$stmt->execute();
$stmt->store_result();
$stmt->bind_result($postAutorId);
$stmt->fetch();
$stmt->close();

if ($postAutorId != $_SESSION['autorid']) {
    echo json_encode(array("success" => false, "message" => "Neautorizēta piekļuve."));
    exit;
}

// Ja autorizēts, turpini ar ieraksta dzēšanu
$sql = "DELETE FROM pav_gra_postsi WHERE id = ?";
$stmt = $conn->prepare($sql);
$stmt->bind_param("i", $postId);

if ($stmt->execute()) {
    echo json_encode(array("success" => true, "message" => "Ieraksts veiksmīgi izdzēsts."));
} else {
    echo json_encode(array("success" => false, "message" => "Kļūda, dzēšot ierakstu."));
}

$stmt->close();
$conn->close();
?>
